#
# spec file for package libuev
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2018, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 2
Name:           libuev
Version:        2.2.0
Release:        1.1
Summary:        Event loop library
License:        MIT
Group:          Development/Languages/C and C++
URL:            https://github.com/troglobit/libuev/
Source:         https://github.com/troglobit/libuev/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
libuEv is an event loop in the style of libevent, libev and the Xt(3)
event loop. It has a small feature set.

libuEv is built on top of the Linux APIs epoll, timerfd and signalfd.
Note however, a certain amount of care is needed when dealing with
APIs that employ signalfd.

%package -n libuev%{sover}
Summary:        Event loop library
Group:          System/Libraries

%description -n libuev%{sover}
libuEv is an event loop in the style of libevent, libev and the Xt(3)
event loop. It has a small feature set.

libuEv is built on top of the Linux APIs epoll, timerfd and signalfd.
Note however, a certain amount of care is needed when dealing with
APIs that employ signalfd.

%package devel
Summary:        Header files for libuEv
Group:          Development/Libraries/C and C++
Requires:       libuev%{sover} = %{version}

%description devel
Development and header files for libuEv.

%prep
%setup -q

%build
autoreconf -fiv
%configure \
  --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
rm -rf %{buildroot}/%{_datadir}/doc

%post   -n libuev%{sover} -p /sbin/ldconfig
%postun -n libuev%{sover} -p /sbin/ldconfig

%files -n libuev%{sover}
%doc API.md AUTHORS ChangeLog.md README.md
%license LICENSE
%{_libdir}/libuev.so.%{sover}*

%files devel
%{_includedir}/uev
%{_libdir}/libuev.so
%{_libdir}/pkgconfig/libuev.pc

%changelog
* Mon Oct  8 2018 mvetter@suse.com
- Update to 2.2.0:
  Note:
  * You now have to explicitly include sys/queue.h, or provide
    a local version of queue.h, if your application depends on it.
  Changes:
  * Replaced BSD queue.h doubly-linked lst API with own
    implementation. Making libuEv stand-alone, no longer imposing
  any particular version of queue.h on the user
  * Enforce -std=gnu11 to unlock typeof() in older GCC versions
  * Code cleanup
  Fixes:
  * Fix missing header deps. in Makefile.am, library did not rebuild
    properly if any of the local header files were changed
* Fri Sep  7 2018 mvetter@suse.com
- Update to 2.1.3:
  Changes:
  * Update joystick example, use first device, /dev/input/js0
  * Minor refactor of uev_exit(), use _SAFE macros to traverse
    list of watchers instead of while()
  * New API test to verify that uev_exit() terminates properly
  * Make uev_signal_stop() idempotent
  Fixes:
  * Let uev_timer_stop() call close() on the timerfd directly,
    do not call uev_timer_set() since that may cause
    lockups or hangs
* Sun Jul 29 2018 jengelh@inai.de
- Ensure neutrality of descriptions.
* Mon Jun 18 2018 mardnh@gmx.de
- Initial package, version 2.1.2
